Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr
[Java] Class GroovySourceToken

    java.lang.Object
      antlr.Token
          org.codehaus.groovy.antlr.GroovySourceToken

All Implemented Interfaces:
  SourceInfo

    public class GroovySourceToken
    extends antlr.Token

This is a Token sub class to track line information

Authors:
  Jochen Theodorou

Field Summary
`protected int` | `col`
`protected int` | `colLast`
`protected int` | `line`
`protected int` | `lineLast`
`protected java.lang.String` | `text`

Fields inherited from class antlr.Token
MIN_USER_TYPE, NULL_TREE_LOOKAHEAD, INVALID_TYPE, EOF_TYPE, SKIP, badToken

Constructor Summary
`GroovySourceToken(int t)` Constructor using a token type

Method Summary
`int` | `getColumn()`
`int` | `getColumnLast()`
`int` | `getLine()`
`int` | `getLineLast()`
`java.lang.String` | `getText()` get the source token text
`void` | `setColumn(int c)`
`void` | `setColumnLast(int colLast)`
`void` | `setLine(int l)`
`void` | `setLineLast(int lineLast)`
`void` | `setText(java.lang.String s)` set the source token text
`java.lang.String` | `toString()`

Methods inherited from class antlr.Token
antlr.Token#toString(), antlr.Token#getType(), antlr.Token#setType(int), antlr.Token#setText(java.lang.String), antlr.Token#getText(), antlr.Token#getColumn(), antlr.Token#getLine(), antlr.Token#setLine(int), antlr.Token#setFilename(java.lang.String), antlr.Token#setColumn(int), antlr.Token#getFilename(), antlr.Token#wait(long), antlr.Token#wait(long, int), antlr.Token#wait(), antlr.Token#equals(java.lang.Object), antlr.Token#hashCode(), antlr.Token#getClass(), antlr.Token#notify(), antlr.Token#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### col

    protected int col

### colLast

    protected int colLast

### line

    protected int line

### lineLast

    protected int lineLast

### text

    protected java.lang.String text

Constructor Detail

### GroovySourceToken

    public GroovySourceToken(int t)

  Constructor using a token type
  Parameters:
    `t` - the type

Method Detail

### getColumn

    public int getColumn()

### getColumnLast

    public int getColumnLast()

### getLine

    public int getLine()

### getLineLast

    public int getLineLast()

### getText

    public java.lang.String getText()

  get the source token text
  Returns:
    the source token text

### setColumn

    public void setColumn(int c)

### setColumnLast

    public void setColumnLast(int colLast)

### setLine

    public void setLine(int l)

### setLineLast

    public void setLineLast(int lineLast)

### setText

    public void setText(java.lang.String s)

  set the source token text
  Parameters:
    `s` - the text

### toString

    public java.lang.String toString()

Groovy Documentation